--- base/logging.cc
+++ base/logging.cc
@@ -13,7 +13,7 @@ typedef HANDLE MutexHandle;
 #include <mach/mach.h>
 #include <mach/mach_time.h>
 #include <mach-o/dyld.h>
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
 #include <sys/syscall.h>
 #include <time.h>
 #endif
@@ -129,6 +129,9 @@ int32 CurrentThreadId() {
   return mach_thread_self();
 #elif defined(OS_LINUX)
   return syscall(__NR_gettid);
+#elif defined(OS_FREEBSD)
+  // TODO(benl): find a better thread ID
+  return reinterpret_cast<int64>(pthread_self());
 #endif
 }
 
@@ -137,7 +140,7 @@ uint64 TickCount() {
   return GetTickCount();
 #elif defined(OS_MACOSX)
   return mach_absolute_time();
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
   struct timespec ts;
   clock_gettime(CLOCK_MONOTONIC, &ts);
 
@@ -218,7 +221,7 @@ bool InitializeLogFileHandle() {
   return true;
 }
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 int GetLoggingFileDescriptor() {
   // No locking needed, since this is only called by the zygote server,
   // which is single-threaded.
diff --git base/logging.h base/logging.h
index de8de71..5e3c2fa 100644
